Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.utils
Class Constants

    java.lang.Object
      org.biojava.utils.Constants

    public final class Constants

extends Object

Some usefull constants for working with binary files.

Author:
  Matthew Pocock

Field Summary
`static int` | `BYTES_IN_BYTE`
`static int` | `BYTES_IN_CHAR`
`static int` | `BYTES_IN_DOUBLE`
`static int` | `BYTES_IN_FLOAT`
`static int` | `BYTES_IN_INT`
`static int` | `BYTES_IN_LONG`
`static int` | `BYTES_IN_SHORT`

Constructor Summary
`Constants()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BYTES_IN_LONG

    public static int BYTES_IN_LONG

### BYTES_IN_INT

    public static int BYTES_IN_INT

### BYTES_IN_SHORT

    public static int BYTES_IN_SHORT

### BYTES_IN_CHAR

    public static int BYTES_IN_CHAR

### BYTES_IN_BYTE

    public static int BYTES_IN_BYTE

### BYTES_IN_DOUBLE

    public static int BYTES_IN_DOUBLE

### BYTES_IN_FLOAT

    public static int BYTES_IN_FLOAT

Constructor Detail

### Constants

    public Constants()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD